Download it now!
Bug 120781 - KDE5: Text in document disappears if it's drag'n'dropped to the sidebar
Summary: KDE5: Text in document disappears if it's drag'n'dropped to the sidebar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 09:34 UTC by Xisco Faulí
Modified: 2018-12-21 12:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 09:34:58 UTC
Steps to reproduce:
1. Open writer
2. Writer some test in the document ( e.g. Hello )
3. Select the text
4. Drag&drop it to the sidebar

Observed behaviour: Text in the document is gone

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:44:34 UTC
Confirmed with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 2 Commit Notification 2018-12-03 09:52:18 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3ac46abde192324fc7e1cbf3f22b7280f15e77df%5E%21

tdf#120781: Proposed DnD operation is not always 'move'

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Katarina Behrens (Inactive) 2018-12-03 11:54:02 UTC
I'm setting this to fixed but peeps please test, this is very quirky code
Comment 4 Katarina Behrens (Inactive) 2018-12-04 08:54:51 UTC
*** Bug 120783 has been marked as a duplicate of this bug. ***
Comment 5 Michael Weghorn 2018-12-05 09:19:24 UTC
Verified that text no longer disappears with

Version: 6.3.0.0.alpha0+
Build ID: 126e5a4d5b1d6c7ba5b313786793a38f99488b33
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2018-12-14 13:30:29 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/829c1d83b530224ee6003ee49975904f2cb46e24%5E%21

tdf#120781: Proposed DnD operation is not always 'move'

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-12-21 12:12:29 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded